aboutsummaryrefslogtreecommitdiffstats
path: root/testing/unify/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-09-16 08:10:00 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-09-17 15:01:35 +0000
commitcc7e6d8ad61b8c3ca1c39f6f8f8aeda57470cc58 (patch)
tree54150b1632e6f775145d436dc066226cddc8b23b /testing/unify/APKBUILD
parent7b3b91585c4d883faa3874373bc7b2bc53276697 (diff)
downloadaports-cc7e6d8ad61b8c3ca1c39f6f8f8aeda57470cc58.tar.gz
aports-cc7e6d8ad61b8c3ca1c39f6f8f8aeda57470cc58.tar.bz2
aports-cc7e6d8ad61b8c3ca1c39f6f8f8aeda57470cc58.tar.xz
testing/unify: new aport
A strings modification tool for (single/double) quote https://github.com/myint/unify
Diffstat (limited to 'testing/unify/APKBUILD')
-rw-r--r--testing/unify/APKBUILD40
1 files changed, 40 insertions, 0 deletions
diff --git a/testing/unify/APKBUILD b/testing/unify/APKBUILD
new file mode 100644
index 0000000000..ce5fd02afa
--- /dev/null
+++ b/testing/unify/APKBUILD
@@ -0,0 +1,40 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=unify
+pkgver=0.2
+pkgrel=0
+pkgdesc="A strings modification tool for (single/double) quote"
+url="https://github.com/myint/unify"
+arch="noarch"
+license="MIT"
+depends="python"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${pkgname:0:1}/$pkgname/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="390b08eb4be0d59f0a774b61ddea7f97 unify-0.2.tar.gz"
+sha256sums="f51e92142eca61dcb65a675f3cb492e880f85d3504518d4bec6a76d83ab78724 unify-0.2.tar.gz"
+sha512sums="36cbdefd6897d3ee0816ea07a453b63b2f6aaabc525995b1cb35e530271e06674cbdda052ace430cadfa812862db7b76472541208fd2f9b5cbcd183feab947b4 unify-0.2.tar.gz"